---
lang: en
title: 'API docs: core.coretags'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.coretags.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [CoreTags](./core.coretags.md)

## CoreTags namespace

**Signature:**

```typescript
export declare namespace CoreTags 
```

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[COMPONENT](./core.coretags.component.md)


</td><td>

Binding tag for components


</td></tr>
<tr><td>

[CONTROLLER](./core.coretags.controller.md)


</td><td>

Binding tag for controllers


</td></tr>
<tr><td>

[EXTENSION\_FOR](./core.coretags.extension_for.md)


</td><td>

Binding tag for extensions to specify name of the extension point that an extension contributes to.


</td></tr>
<tr><td>

[EXTENSION\_POINT](./core.coretags.extension_point.md)


</td><td>

Binding tag for an extension point to specify name of the extension point


</td></tr>
<tr><td>

[LIFE\_CYCLE\_OBSERVER\_GROUP](./core.coretags.life_cycle_observer_group.md)


</td><td>

Binding tag for group name of life cycle observers


</td></tr>
<tr><td>

[LIFE\_CYCLE\_OBSERVER](./core.coretags.life_cycle_observer.md)


</td><td>

Binding tag for life cycle observers


</td></tr>
<tr><td>

[SERVER](./core.coretags.server.md)


</td><td>

Binding tag for servers


</td></tr>
<tr><td>

[SERVICE\_INTERFACE](./core.coretags.service_interface.md)


</td><td>

Binding tag for the service interface


</td></tr>
<tr><td>

[SERVICE](./core.coretags.service.md)


</td><td>

Binding tag for services


</td></tr>
</tbody></table>

